using UnityEngine;

public sealed class InitializeUnityEditorChecker : MonoBehaviour {

    [RuntimeInitializeOnLoadMethod(RuntimeInitializeLoadType.BeforeSceneLoad)]
    static void Initialize(){
#if UNITY_EDITOR
        if(Application.unityVersion != Const.UnityVersion){
            Debug.LogError("現在開いているUnityのVersionが " + Const.UnityVersion + " ではない為停止します。UnityのVersionは必ず合わせて下さい。");
            UnityEditor.EditorApplication.isPlaying = false;
        }

        // var unityChecker = new GameObject("UnityChecker");
        // DontDestroyOnLoad(unityChecker);
        // unityChecker.AddComponent<MissingSearcher>();
#endif
    }
}
